petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatSchurComplementGetKSP

Gets the KSP object that is used to invert A00 in the Schur complement matrix S = A11 - A10 ksp(A00,Ap00) A01

### Synopsis

    #include "petscksp.h"
    PetscErrorCode MatSchurComplementGetKSP(Mat S, KSP *ksp)

Not Collective Many br

### Input Parameter

S -matrix obtained with MatCreateSchurComplement() (or equivalent) and implementing the action of A11 - A10 ksp(A00,Ap00) A01 Many br

### Output Parameter

ksp -the linear solver object Many br

### Options Database

-fieldsplit_<splitname_0>_XXX sets KSP and PC options for the 0 -split solver inside the Schur complement used in PCFieldSplit; default <splitname_0> is 0. Many br

Many br

### See Also

MatSchurComplementSetKSP(), MatCreateSchurComplement(), MatCreateNormal(), MatMult(), MatCreate()

Level:intermediate
Location:src/ksp/ksp/utils/schurm.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages